> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Toll-Free Inventory

> Get available toll-free phone numbers



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/phone-numbers/toll-free/available-inventory
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/phone-numbers/toll-free/available-inventory:
    get:
      tags:
        - Phone Numbers
      summary: Get Toll-Free Inventory
      description: Get available toll-free phone numbers
      parameters:
        - schema:
            type: string
            maxLength: 2
          in: query
          name: state
          required: false
          description: State Abbreviation (e.g., CA, MS, AL..)
        - schema:
            type: string
            maxLength: 11
          in: query
          name: tnMask
          required: true
          description: Phone number mask (e.g., xxxxx88xxx)
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: quantity
          required: true
          description: Number of results
      responses:
        '200':
          description: Available toll-free numbers
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: string
                    description: Available phone numbers
                required:
                  - results
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````